## argh 1.3.1+ds

=== CMakeLists.txt ===
project(argh)
cmake_minimum_required(VERSION 3.1)

set (CMAKE_CXX_STANDARD 11)

option(BUILD_TESTS "Build tests. Uncheck for install only runs" ON)
option(BUILD_EXAMPLES "Build examples. Uncheck for install only runs" ON)

if(BUILD_EXAMPLES)
	add_executable(argh_example example.cpp)
endif()
if(BUILD_TESTS)
	add_executable(argh_tests   argh_tests.cpp)
endif()

add_library(argh INTERFACE)
target_include_directories(argh INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}> $<INSTALL_INTERFACE:include>)

set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY VS_STARTUP_PROJECT argh_tests)

if(BUILD_EXAMPLES OR BUILD_TESTS)
	if(UNIX OR CMAKE_COMPILER_IS_GNUCXX)
		add_definitions("-Wall -Wextra -Wshadow -Wnon-virtual-dtor -pedantic")
	else(MSVC)
		add_definitions("/W4 /WX")
	endif()
endif()

install(TARGETS argh EXPORT arghTargets)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
# this might be a bit too restrictive, since for other (BSD, ...) this might apply also
# but this can be fixed later in extra pull requests from people on the platform
	include(GNUInstallDirs)
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/argh.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/LICENSE" DESTINATION ${CMAKE_INSTALL_DOCDIR})
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/README.md" DESTINATION ${CMAKE_INSTALL_DOCDIR})
	install(FILES argh-config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/argh)
	install(EXPORT arghTargets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/argh)
else()
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/argh.h" DESTINATION include)
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/LICENSE" DESTINATION license)
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/README.md" DESTINATION .)
	install(FILES argh-config.cmake DESTINATION CMake)
	install(EXPORT arghTargets DESTINATION CMake)
endif()

=== test_package/CMakeLists.txt ===
project(test_package)
cmake_minimum_required(VERSION 2.8.11)

include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake)
conan_basic_setup()

set (CMAKE_CXX_STANDARD 11)
add_executable(${PROJECT_NAME} test_package.cpp)
target_link_libraries(${PROJECT_NAME} ${CONAN_LIBS})

=== debian/changelog ===
argh (1.3.1+ds-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:46:33 +0200

argh (1.3.1+ds-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 15:18:14 +0200

argh (1.3.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #970452)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 21 Sep 2020 11:56:56 +0000

=== debian/control ===
Source: argh
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               doctest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/argh
Vcs-Git: https://salsa.debian.org/med-team/argh.git
Homepage: https://github.com/adishavit/argh
Rules-Requires-Root: no

Package: libargh-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only command line processing library
 So many different command line processing libraries out there and none
 of them just work! Some bring their whole extended family of related and
 unrelated external dependencies (yes, I'm looking at you Boost). Some
 require quirky syntax and/or very verbose setups that sacrifice
 simplicity for the generation of a cute usage message and validation.
 Many come to dominate your main() file and yet others do not build on
 multiple platforms - for some even their own tests and trivial usage
 cause crashes on some systems. Argh!
 .
 If you're writing a highly-sophisticated command line tool, then
 Boost.Program_options and its kind might give you many advanced options.
 However, if you need to get up and running quickly, effectively and with
 minimal fuss, give the single header-file argh a try.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
	repacksuffix=+ds, \
	repack, compression=xz, \
        dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/adishavit/argh/releases .*/v?@ANY_VERSION@\.tar\.gz

## argh 1.3.2%2Bds

=== debian/changelog ===
argh (1.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 27 Nov 2022 06:41:02 +0100

argh (1.3.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh no_install_cmake_files.patch.

 -- Étienne Mollier <emollier@debian.org>  Sun, 15 May 2022 13:48:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                doctest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/argh
 Vcs-Git: https://salsa.debian.org/med-team/argh.git
 Homepage: https://github.com/adishavit/argh

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	obj-*/argh_tests
endif

override_dh_installdocs:
	dh_installdocs
	find debian -name LICENSE -delete

## argh 1.3.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(argh)

set(CMAKE_CXX_STANDARD 11)

# Check if argh is being used directly or via add_subdirectory
set(ARGH_MASTER_PROJECT OFF)
if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
  set(ARGH_MASTER_PROJECT ON)
endif()

option(BUILD_TESTS "Build tests. Uncheck for install only runs"
       ${ARGH_MASTER_PROJECT})
option(BUILD_EXAMPLES "Build examples. Uncheck for install only runs"
       ${ARGH_MASTER_PROJECT})

if (CMAKE_CXX_COMPILER_ID MATCHES "(Clang|GNU)")
	list(APPEND flags "-Wall" "-Wextra" "-Wshadow" "-Wnon-virtual-dtor" "-pedantic")
elseif(MSVC)
	list(APPEND flags "/W4" "/WX")
endif()

if(BUILD_EXAMPLES)
	add_executable(argh_example example.cpp)
	target_compile_options(argh_example PRIVATE ${flags})
endif()
if(BUILD_TESTS)
	add_executable(argh_tests   argh_tests.cpp)
	target_compile_options(argh_tests PRIVATE ${flags})
	set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY VS_STARTUP_PROJECT argh_tests)
endif()

add_library(argh INTERFACE)
target_include_directories(argh INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}> $<INSTALL_INTERFACE:include>)

if(ARGH_MASTER_PROJECT)
	install(TARGETS argh EXPORT arghTargets)

	include(GNUInstallDirs)
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/argh.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/LICENSE" DESTINATION ${CMAKE_INSTALL_DOCDIR})
	install(FILES "${CMAKE_CURRENT_LIST_DIR}/README.md" DESTINATION ${CMAKE_INSTALL_DOCDIR})

	if(CMAKE_SYSTEM_NAME STREQUAL Linux)
	# this might be a bit too restrictive, since for other (BSD, ...) this might apply also
	# but this can be fixed later in extra pull requests from people on the platform
		install(FILES argh-config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/argh)
		install(EXPORT arghTargets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/argh)
	else()
		install(FILES argh-config.cmake DESTINATION CMake)
		install(EXPORT arghTargets DESTINATION CMake)
	endif()
endif()

=== debian/changelog ===
argh (1.3.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix build witg CMake 4
    Closes: #1112707
  * d/watch: Version: 5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Oct 2025 21:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: argh
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders:
+ Shayan Doust <hello@shayandoust.me>,
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               doctest-dev
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ doctest-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/argh
 Vcs-Git: https://salsa.debian.org/med-team/argh.git
 Homepage: https://github.com/adishavit/argh
@@ -15,7 +17,8 @@
 Package: libargh-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: C++ header-only command line processing library
  So many different command line processing libraries out there and none
  of them just work! Some bring their whole extended family of related and

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	obj-*/argh_tests

=== debian/watch ===
Version: 5

Template: Github
Owner: adishavit
Project: @PACKAGE@
Repack-Suffix: +ds
Dversion-Mangle: auto
